Skip to main content
GET
Read Collections

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Query Parameters

skip
integer
default:0

Number of collections to skip

Required range: x >= 0
limit
integer
default:100

Number of collections to return

Required range: 1 <= x <= 1000
status
string | null

Filter by collection status

visibility
string | null

Filter by visibility (public/private)

search
string | null

Search collections by name or description

tags
string | null

Filter by tags (comma-separated)

Response

Successful Response

data
CollectionRead · object[]
required
total_count
integer
required
page
integer | null
limit
integer | null
next_page
integer | null
next_cursor
string | null
has_more
boolean | null